<?php

declare(strict_types=1);

namespace App\Controller\TblSegmentoCurso;

use App\Service\TblSegmentoCursoService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblSegmentoCursoService(): TblSegmentoCursoService
    {
        return $this->container->get('TblSegmentoCurso_service');
    }
}
